Subject: [bug#50838] Update sbcl

From: Charles <[email-masked]>
Date: Mon, 27 Sep 2021 19:45:39 +0000

I built all sbcl-* packages, I used this snippet to build them; let me know if there is a better way.

./pre-inst-env guix build $(./pre-inst-env guix search "^name: sbcl-" | awk '{ print $2 }' | tr '\n' ' ')

sbcl-burgled-batteries3 fails to build. It also fails on sbcl 2.1.6. Perhaps people are not really using the sbcl version of this package and just using the ecl version as it builds fine. I'm not sure how the build system works for cl- packages, but apparently it uses sbcl too.

Same story with sbcl-png.

These are the only two offenders; all other packages built fine.
‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Monday, September 27th, 2021 at 7:32 AM, Guillaume Le Vaillant <[email-masked]> wrote:

> Hi,
>
> Some time ago when Pierre Neidhardt tried to update SBCL to 2.1.7, some
>
> packages failed to compile (because of changes in the internals of SBCL
>
> I think). See commits b07581d6e24bf5fa4676bcebaba75315bbbb01e6 and
>
> 7c6ace67bb8ef421965e3f1cc1a02caf54c813f5.
>
> Did you try building all the sbcl-* packages with SBCL 2.1.8 to check if
>
> everything works fine?
>
> If some packages are failing, we will have to update them as well
>
> (upstreams probably have commits or PRs to fix compatibility with newer
>
> SBCL versions).